import { ComponentClass, RefObject, NonNullableRefObject, Ref } from './types';
export declare function isRef(o: any): o is RefObject<any>;
export declare function createRef<T = Element>(): RefObject<T>;
export declare function createRef<T = Element>(defaultValue: T): NonNullableRefObject<T>;
export declare function mountRef(ref?: Ref<ComponentClass> | Ref<Element> | Ref<ComponentClass | Element> | null, value?: any): void;
export declare function unmountRef(ref?: Ref<ComponentClass> | Ref<Element> | Ref<ComponentClass | Element> | null): void;
